/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { Readable } from "stream";
import { AsyncEnumerableLike, StreamEvent, StreamMode, StreamLike } from "@reactive-js/async-enumerable";
import { HttpContentEncoding, HttpContent, MediaType } from "@reactive-js/http";
export declare const encodeHttpContent: (content: HttpContent<StreamLike<Buffer>>, encoding: HttpContentEncoding, options: BrotliOptions | ZlibOptions) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const decodeHttpContent: (contentBody: HttpContent<StreamLike<Buffer>>, options: BrotliOptions | ZlibOptions) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const createBufferHttpContent: (chunk: Buffer, contentType: string | MediaType) => HttpContent<StreamLike<Buffer>>;
export declare const createReadableHttpContent: (factory: () => Readable, contentType: string | MediaType, contentLength?: number) => HttpContent<StreamLike<Buffer>>;
export declare const createStringHttpContent: (content: string, contentType: string | MediaType) => HttpContent<StreamLike<Buffer>>;
