/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { HttpContentResponse, HttpContentRequest } from "@reactive-js/http";
import { BufferStreamLike } from "@reactive-js/node";
import { Option } from "@reactive-js/option";
import { Operator } from "@reactive-js/pipe";
export declare type EncodeHttpResponseOptions = {
    readonly shouldEncode?: <T, TResp>(req: HttpContentRequest<T>, resp: HttpContentResponse<TResp>) => Option<boolean>;
};
export declare const encodeHttpResponse: <TReq>(request: import("@reactive-js/http").HttpRequest<import("@reactive-js/http").HttpContent<TReq>>, options?: (EncodeHttpResponseOptions & BrotliOptions) | (EncodeHttpResponseOptions & ZlibOptions)) => Operator<import("@reactive-js/http").HttpResponse<import("@reactive-js/http").HttpContent<BufferStreamLike>>, import("@reactive-js/http").HttpResponse<import("@reactive-js/http").HttpContent<BufferStreamLike>>>;
export declare const decodeHttpContentResponse: (options: BrotliOptions | ZlibOptions) => Operator<import("@reactive-js/http").HttpResponse<import("@reactive-js/http").HttpContent<BufferStreamLike>>, import("@reactive-js/http").HttpResponse<import("@reactive-js/http").HttpContent<BufferStreamLike>>>;
