/// <reference types="node" />
import { ServerResponse, IncomingMessage } from "http";
import { Http2ServerRequest, Http2ServerResponse } from "http2";
import { AsyncEnumerableLike, StreamMode, StreamEvent } from "@reactive-js/async-enumerable";
import { HttpServerRequest, HttpContentResponse } from "@reactive-js/http";
import { ObservableLike } from "@reactive-js/observable";
import { SchedulerLike } from "@reactive-js/scheduler";
export declare type HttpRequestListenerOptions = {
    readonly onError?: (e: unknown) => ObservableLike<unknown>;
};
export declare type HttpRequestListenerHandler = {
    (req: HttpServerRequest<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>): ObservableLike<HttpContentResponse<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>>;
};
export declare type HttpRequestListener = (req: IncomingMessage | Http2ServerRequest, resp: ServerResponse | Http2ServerResponse) => void;
export declare const createHttpRequestListener: (handler: HttpRequestListenerHandler, scheduler: SchedulerLike, options?: HttpRequestListenerOptions) => HttpRequestListener;
//# sourceMappingURL=httpRequestListener.d.ts.map